curl --request GET \
--url https://api.opal.dev/v1/access-rules/{access_rule_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/access-rules/{access_rule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/access-rules/{access_rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_rule_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"name": "Platform Engineering",
"description": "This access rule represents all platform engineers in the company.",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"status": "ACTIVE",
"ruleClauses": {
"when": {
"clauses": [
{
"selectors": [
{
"key": "<string>",
"value": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attribute_selectors": [
{
"attribute": "HR_IDP_STATUS",
"values": [
"<string>"
]
}
]
}
]
},
"unless": {
"clauses": [
{
"selectors": [
{
"key": "<string>",
"value": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attribute_selectors": [
{
"attribute": "HR_IDP_STATUS",
"values": [
"<string>"
]
}
]
}
]
}
}
}Get access rules 1
Returns a list of access rule config given the group_id of the access rule.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The access rule ID (group ID) of the access rule.
Response
The access rules for the group.
Access Rule Object
Description
The AccessRule object is used to represent an access rule configuration.
Usage Example
List access rules from the GET /access-rules endpoint, or retrieve a single access rule from the GET /access-rules/{access_rule_id} endpoint.
The ID (group ID) of the access rule.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The name of the access rule.
"Platform Engineering"
A description of the group.
"This access rule represents all platform engineers in the company."
The ID of the owner of the group.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The status of the access rule.
ACTIVE, PAUSED "ACTIVE"
Show child attributes
Show child attributes
Was this page helpful?